Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159338 - gdm update for new audit system
Summary: gdm update for new audit system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gdm
Version: 4.0
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On: 161230
Blocks: 176344
TreeView+ depends on / blocked
 
Reported: 2005-06-01 18:46 UTC by Steve Grubb
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

Fixed In Version: RHSA-2007-0286
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-01 17:06:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:644 qe-ready SHIPPED_LIVE gdm bug fix update 2005-10-05 04:00:00 UTC
Red Hat Product Errata RHSA-2007:0286 normal SHIPPED_LIVE Low: gdm security and bug fix update 2007-05-01 17:06:38 UTC

Description Steve Grubb 2005-06-01 18:46:35 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
The gdm package needs to update its pam configuration for the new audit system. It needs the following line added:

session    required     pam_loginuid.so

The Requires line will need to be set for the version of pam that includes the pam_loginuid module.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. new functionality

Additional info:

* the same modification can be made to rawhide. In that case, pam-0.79-6 and later  have the loginuid module

Comment 1 Ray Strode [halfline] 2005-06-01 20:01:36 UTC
Hi Steve,

I'll look into this after U1 I guess.

Can you give me some details about how the new audit system works?

Comment 5 Steve Grubb 2005-06-17 13:06:12 UTC
Yes, this is just adding one line to the pam config. I've been testing in the
configuration since March. Pam is finalized for RHEL4-U2. This package probably
should have:

Requires: pam >= 0.77-66.8

Thanks!

Comment 8 Red Hat Bugzilla 2005-10-05 15:32:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-644.html


Comment 16 Daniel Riek 2006-08-28 21:35:48 UTC
The component of this request is planned to be updated in Red Hat enterprise
Linux 4.5.

This enhancement request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux maintenance release.

Product Management has requested further review of this request by Red Hat
Engineering, for potential inclusion in a Red Hat Enterprise Linux Update
release for currently deployed products.

This request is not yet committed for inclusion in an Update release. 

Comment 22 Red Hat Bugzilla 2007-05-01 17:06:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0286.html



Note You need to log in before you can comment on or make changes to this bug.